# $Revision: 1.47 $, $Date: 2006/12/04 13:32:56 $
Summary:	Firewall SysV-init style start-up script
Summary(pl):	Skrypt startowy firewalla
Name:		firewall-init
Version:	2.99.9
Release:	1
License:	GPL
Group:		Networking/Admin
Source0:	ftp://ftp.pld-linux.org/software/firewall-init/%{name}-%{version}.tar.bz2
# Source0-md5:	b3bd68e812a2b30b0963c8ce9968af5e
BuildRequires:	rpmbuild(macros) >= 1.194
Requires(post,preun):	/sbin/chkconfig
Requires:	iptables >= 1.2.2-2
Requires:	rc-scripts
Obsoletes:	iptables-init
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Firewall-init is meant to provide an easy to use interface for
starting and stopping the kernel IP packet filter through iptables(8).

%description -l pl
Dziki firewall-init uzyskuje si atwy interfejs do startowania i
stopowania filtrw IP jdra poprzez iptables(8).

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 2.5
%banner -e %{name} <<'EOF'
You need to manually convert your rules to iptables or install
firewall-init-ipchains
EOF

%post
/sbin/chkconfig --add firewall
/sbin/chkconfig --add firewall-pre

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del firewall
	/sbin/chkconfig --del firewall-pre
fi

%files
%defattr(644,root,root,755)
%doc README
%defattr(640,root,root,750)
%verify(not md5 mtime size) %config(noreplace) /etc/sysconfig/firewall
%verify(not md5 mtime size) %config(noreplace) /etc/sysconfig/firewall.d/ip*
%verify(not md5 mtime size) %config(noreplace) /etc/sysconfig/firewall.d/functions.rules
/etc/sysconfig/firewall.d/functions
%attr(754,root,root) /etc/rc.d/init.d/firewall*
%dir /etc/sysconfig/firewall.d

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: firewall-init.spec,v $
Revision 1.47  2006/12/04 13:32:56  baggins
- 2.99.9

Revision 1.46  2006/05/21 15:57:16  glen
- convert some weird pre-script to trigger; rel 3

Revision 1.45  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.44  2005/10/16 12:30:25  kolodko
- missing log

Revision 1.43  2005/10/16 12:28:31  kolodko
- "chkconfig --del firewall" must be in %preun
   thx for Krzysztof Mocicki <stivi (at) kity.pl>
- rel 2, STBR

Revision 1.42  2005/09/19 18:03:10  baggins
- 2.99.8

Revision 1.41  2004/10/18 14:25:12  baggins
- typo

Revision 1.40  2004/10/18 14:22:28  baggins
- 2.99.7
- had to kill new syntax, the gain was not worth the problems it had
- mmazur - put new version on www

Revision 1.39  2004/08/08 11:04:24  havner
- rel 2

Revision 1.38  2004/04/08 18:09:34  mmazur
- I'll think of something later

Revision 1.37  2004/04/08 15:24:04  mmazur
- up to 2.99.6; nfy

Revision 1.36  2003/08/26 12:20:20  havner
- added obsoletes: iptable-init

Revision 1.35  2003/08/11 20:44:54  ankry
- cosmetics

Revision 1.34  2003/07/29 15:12:20  qboosh
- more specific Requires

Revision 1.33  2003/06/17 19:09:49  mmazur
- pld-linux.org
- new %doc

Revision 1.32  2003/06/17 19:04:48  mmazur
- merging IPTABLES branch to HEAD

Revision 1.16.2.6  2003/06/07 13:02:19  undefine
- temporary url (baggins - put new version into ftp.pld-linux.org/software/...)
- add md5 sum

Revision 1.16.2.5  2002/05/08 15:33:49  zagrodzki
- added patch0
- rel 2

Revision 1.16.2.4  2001/07/23 22:22:52  saq
A group commit:
- %define _kernel_ver and _kernel24 removed (already in rpm.macros)
- kernel modules get a @%{_kernel_ver} release suffix and conflict wrong
kernel version
- other packages get a @%{_kernel_series} release suffix and conflict
wrong kernel series
- need a rebuilt RPM to build these

Revision 1.16.2.3  2001/05/21 12:19:13  baggins
- version 2.99.5
- requires iptables >= 1.2.2-2
- ksh93 compatibility fixes
- some functionality improvements (ipv6-icm, pre_init)

Revision 1.16.2.2  2001/03/19 16:23:32  baggins
- updated to 2.99.4
- added firewall-pre init script

Revision 1.16.2.1  2001/02/19 16:12:58  baggins
- new version for iptables

Revision 1.1.2.2  2001/02/19 16:06:40  baggins
- removed old changelog entries

Revision 1.1.2.1  2001/02/19 16:05:49  baggins
- new stuff for version 3.0.0 (for iptables)
